Bug 32026 - help button for every module which links to online documentation
help button for every module which links to online documentation
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.2
Other Linux
: P4 enhancement (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Alexander Kramer
: interim-3
Depends on:
Blocks: 36435
  Show dependency treegraph
 
Reported: 2013-07-19 18:13 CEST by Alexander Kläser
Modified: 2014-11-26 06:55 CET (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments
Example screenshot for Help icon. (69.17 KB, image/png)
2014-09-04 13:20 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-07-19 18:13:00 CEST
This also applies to UMC in general.

+++ This bug was initially created as a clone of Bug #30517 +++

Every module should contain a help button which redirects to the module chapter of the current online teacher documentation.
Comment 1 Stefan Gohmann univentionstaff 2014-09-03 08:10:16 CEST
This has been requested for the printer module for UCS 3.2. Any suggestion where the link could be placed and how it should look like?
Comment 2 Florian Best univentionstaff 2014-09-03 08:44:32 CEST
(Note also the comment from Alexander Kläser from Bug #30517 comment #1)
> I could also imagine that a dialog opens which includes the corresponding
> part of the documentation directly.
Comment 3 Stefan Gohmann univentionstaff 2014-09-03 08:51:27 CEST
(In reply to Florian Best from comment #2)
> (Note also the comment from Alexander Kläser from Bug #30517 comment #1)
> > I could also imagine that a dialog opens which includes the corresponding
> > part of the documentation directly.

Let's start with a simple link to see how it works and how it will be used.
Comment 4 Alexander Kläser univentionstaff 2014-09-03 12:37:49 CEST
(In reply to Stefan Gohmann from comment #1)
> This has been requested for the printer module for UCS 3.2. Any suggestion
> where the link could be placed and how it should look like?

Hm, maybe as a ?-icon in the module header or so?
Comment 5 Alexander Kläser univentionstaff 2014-09-04 13:20:41 CEST
Created attachment 6090 [details]
Example screenshot for Help icon.

See the attached faked screenshot. I could imagine a ?-Icon at the top right position in the module. The green colour is the same green as for the buttons and has 50% opacity by default and 100% opacity on mouseOver.
Comment 6 Stefan Gohmann univentionstaff 2014-09-05 15:32:53 CEST
That looks really good. We should add the possibility to add such a link. I think it should be a value in the UDM module, for example:
help_link=_('http://docs.univention.de/manual-3.2.html#print::shares')

The translation for de could use the translated link:
http://docs.univention.de/handbuch-3.2.html#print::shares

Alternatively we could generate the link automatically but I think this more flexible.
Comment 7 Florian Best univentionstaff 2014-09-05 15:51:05 CEST
(In reply to Stefan Gohmann from comment #6)
> That looks really good. We should add the possibility to add such a link. I
> think it should be a value in the UDM module, for example:
> help_link=_('http://docs.univention.de/manual-3.2.html#print::shares')
> 
> The translation for de could use the translated link:
> http://docs.univention.de/handbuch-3.2.html#print::shares
> 
> Alternatively we could generate the link automatically but I think this more
> flexible.

If we implement this as UDM module property we are not able to use that feature in UCS@school…
Comment 8 Philipp Hahn univentionstaff 2014-09-05 17:21:32 CEST
(In reply to Stefan Gohmann from comment #6)
> That looks really good. We should add the possibility to add such a link. I
> think it should be a value in the UDM module, for example:
> help_link=_('http://docs.univention.de/manual-3.2.html#print::shares')
> 
> The translation for de could use the translated link:
> http://docs.univention.de/handbuch-3.2.html#print::shares

There is Bug #32037 comment 3 which asks to unify the section ID between different translations, as this simplifies the fallback mechanism to the English documentation when no localized documentation exists.

Therefore 'http://docs.univention.de/%(lang)s-%(version).html#%(section)s' % {
  'lang': 'manual',  # FIXME
  'version': '3.2',
  'section': 'print::shares',
}
Comment 9 Alexander Kläser univentionstaff 2014-09-05 17:31:55 CEST
(In reply to Florian Best from comment #7)
> If we implement this as UDM module property we are not able to use that
> feature in UCS@school…

Could also be JS feature, such that it can be set via JS, as well.
Comment 10 Florian Best univentionstaff 2014-10-29 12:57:56 CET
A handler python module can now define a property 'help_link' which is either a string (url) or a dict:

> defaults = {'lang': _('manual'), 'version': ucr.get('version/version', ''), 'section': ''}
> defaults.update(help_link)
> help_link = 'http://docs.univention.de/%(lang)s-%(version).html#%(section)s' % defaults

Leaving the bug open because not yet touched any handler module and no changelog.

@Alex: The solution is not generic, it is simply defining a headerButton which does window.open(help_link).
Comment 11 Florian Best univentionstaff 2014-10-29 17:00:23 CET
You can add the help_link to the wanted modules.
Comment 12 Stefan Gohmann univentionstaff 2014-10-29 22:38:13 CET
(In reply to Florian Best from comment #11)
> You can add the help_link to the wanted modules.

Excellent. I've added one to the printers module: r55112

Changelog for printers module: r55115

Bug for more help links: Bug #36346
Comment 13 Alexander Kramer univentionstaff 2014-10-31 12:48:39 CET
printers module
OK - Firefox
OK - Chrome
OK - IE 9/10/11

added a link to users.py on my vm
OK - Firefox
OK - Chrome
OK - IE 9/10/11
Comment 14 Stefan Gohmann univentionstaff 2014-11-26 06:55:34 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".